Bug 917162

Summary: Review Request: salt-cloud - Generic cloud provisioning tool
Product: [Fedora] Fedora Reporter: Clint Savage <herlo1>
Component: Package ReviewAssignee: Andrew Niemantsverdriet <andrewniemants>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: andrewniemants, lemenkov, package-review, rvokal
Target Milestone: ---Flags: andrewniemants: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-04-05 11:32:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Clint Savage 2013-03-01 21:26:46 UTC
Spec URL: http://herlo.fedorapeople.org/rpms/salt-cloud.spec
SRPM URL: http://herlo.fedorapeople.org/rpms/salt-cloud-0.8.5-1.fc18.src.rpm
Description: Salt cloud allows for cloud based minions to be managed via virtual machine maps and profiles. This means that individual cloud VMs can be created, or large groups of cloud VMs can be created at once or managed. Virtual machines created with Salt cloud install salt on the target virtual machine and assign it to the specified master. While Salt Cloud has been made to work with Salt, it is also a generic cloud management platform and can be used to manage non Salt centric clouds.
Fedora Account System Username: herlo

Comment 1 Andrew Niemantsverdriet 2013-03-07 20:13:00 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package requires other packages for directories it uses.
[-]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/andrew/917162-salt-cloud/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: Spec use %global instead of %define.
     Note: %define pybasever 2.6 %define __python_ver 26 %define __python
     %{_bindir}/python%{?pybasever}
[ ]: Buildroot is not present
     Note: Buildroot: present but not needed
[ ]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: salt-cloud-0.8.5-1.fc18.noarch.rpm
salt-cloud.noarch: W: spelling-error %description -l en_US centric -> eccentric, concentric, centrist
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/None.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/bootstrap-salt.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/python-bootstrap.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/FreeBSD.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/Fedora.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/Debian.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/curl-bootstrap-git.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/Arch.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/RHEL5-git.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/Fedora-git.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/RHEL6.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/Ubuntu-git.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/wget-bootstrap.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/FreeBSD-git.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/SmartOS.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/wget-bootstrap-nocert.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/Ubuntu.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/Arch-git.sh 0644L /bin/bash
salt-cloud.noarch: W: manual-page-warning /usr/share/man/man7/salt-cloud.7.gz 225: warning: macro `..or' not defined
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/RHEL6-git.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/Debian-git.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/curl-bootstrap.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/RHEL5.sh 0644L /bin/bash
1 packages and 0 specfiles checked; 22 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint salt-cloud
salt-cloud.noarch: W: spelling-error %description -l en_US centric -> eccentric, concentric, centrist
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/None.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/bootstrap-salt.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/python-bootstrap.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/FreeBSD.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/Fedora.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/Debian.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/curl-bootstrap-git.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/Arch.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/RHEL5-git.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/Fedora-git.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/RHEL6.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/Ubuntu-git.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/wget-bootstrap.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/FreeBSD-git.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/SmartOS.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/wget-bootstrap-nocert.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/Ubuntu.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/Arch-git.sh 0644L /bin/bash
salt-cloud.noarch: W: manual-page-warning /usr/share/man/man7/salt-cloud.7.gz 225: warning: macro `..or' not defined
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/RHEL6-git.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/Debian-git.sh 0644L /bin/bash
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/curl-bootstrap.sh 0644L /bin/sh
salt-cloud.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/saltcloud/deploy/RHEL5.sh 0644L /bin/bash
1 packages and 0 specfiles checked; 22 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
salt-cloud (rpmlib, GLIBC filtered):
    /usr/bin/python
    python(abi)
    salt



Provides
--------
salt-cloud:
    salt-cloud



MD5-sum check
-------------
http://pypi.python.org/packages/source/s/salt-cloud/salt-cloud-0.8.5.tar.gz :
  CHECKSUM(SHA256) this package     : d9719ec5cec50cc2fac7ad2b35c7e0f686b12f01bdbf43cf4197b82048558474
  CHECKSUM(SHA256) upstream package : d9719ec5cec50cc2fac7ad2b35c7e0f686b12f01bdbf43cf4197b82048558474


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 917162

-------------------------------------------

Koji Build: Successful
http://koji.fedoraproject.org/koji/taskinfo?taskID=5092665

-------------------------------------------

Comments:

Overall spec file looks great.  The noise from RPM lint about scripts not be executable appears to be intentional upstream. I did not find anything that needs to be changed.

Comment 2 Clint Savage 2013-03-13 05:58:14 UTC
New Package SCM Request
=======================
Package Name: salt-cloud
Short Description: Generic cloud provisioning tool
Owners: herlo
Branches: f17 f18 el5 el6
InitialCC:

Comment 3 Gwyn Ciesla 2013-03-13 12:03:07 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2013-03-23 01:13:27 UTC
salt-cloud-0.8.5-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/salt-cloud-0.8.5-1.fc17

Comment 5 Fedora Update System 2013-03-23 01:15:49 UTC
salt-cloud-0.8.5-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/salt-cloud-0.8.5-1.fc18

Comment 6 Fedora Update System 2013-03-23 02:05:04 UTC
salt-cloud-0.8.5-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/salt-cloud-0.8.5-1.el5

Comment 7 Fedora Update System 2013-03-23 02:08:04 UTC
salt-cloud-0.8.5-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/salt-cloud-0.8.5-1.el6

Comment 8 Fedora Update System 2013-04-01 03:24:35 UTC
salt-cloud-0.8.5-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 9 Fedora Update System 2013-04-01 03:34:43 UTC
salt-cloud-0.8.5-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 10 Fedora Update System 2013-04-07 01:26:41 UTC
salt-cloud-0.8.5-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2013-04-07 01:27:02 UTC
salt-cloud-0.8.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 12 Peter Lemenkov 2019-04-05 11:32:05 UTC
Salt-cloud is the part of the salt package. This one should be retired.